#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	GnuPG
%define		pnam	Interface
Summary:	GnuPG::Interface - Perl interface to GnuPG
Summary(pl.UTF-8):	GnuPG::Interface - perlowy interfejs do GnuPG
Name:		perl-GnuPG-Interface
Version:	1.02
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/GnuPG/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3589cd8cc4b68c00e6cfd0b12daf52fc
URL:		http://search.cpan.org/dist/GnuPG-Interface/
BuildRequires:	gnupg
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-MethodMaker
BuildRequires:	perl-Data-Perl
BuildRequires:	perl-Moo
BuildRequires:	perl-MooX-late
BuildRequires:	perl-MooX-HandlesVia
BuildRequires:	perl-Moose
BuildRequires:	perl-Type-Tiny
%endif
# not recognized by perl.req
Requires:	perl-Class-MethodMaker
Requires:	perl-Mouse
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnuPG::Interface and its associated modules are designed to provide an
object-oriented method for interacting with GnuPG, being able to
perform functions such as but not limited to encrypting, signing,
decryption, verification, and key-listing parsing.

%description -l pl.UTF-8
GnuPG::Interface i powiązane moduły powstały, by udostępnić obiektowo
zorientowany sposób na interakcję z GnuPG. Moduły mogą wykonywać
funkcje takie jak szyfrowanie, podpisywanie, odszyfrowywanie,
weryfikację, analizę list kluczy i inne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:TEST_SHARED_MEMORY=1 TEST_FILE_CACHE=1 %{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/%{pdir}/%{pnam}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README MANIFEST
%{perl_vendorlib}/GnuPG/*.pm
%{_mandir}/man3/*
%changelog
* Tue Feb 22 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-GnuPG-Interface.git;a=log;h=master

* Tue Feb 22 2022 Jan Rękorajski <baggins@pld-linux.org> 4f742b7
- more tests BRs

* Mon Feb 21 2022 Jan Rękorajski <baggins@pld-linux.org> 3430c04
- updated test BRs

* Mon Jan 31 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 45d0257
- Up to 1.02

* Tue Jul 21 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> ac46379
- up to 1.00

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 621f364
- drop obsolete and outdated manual inclusion of rpm macros

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 74f2b48
- up to 0.52

* Thu Mar 28 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d4566c7
- up to 0.46

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> a604c5d
- up to 0.45

* Sun Dec 13 2009 Mariusz Mazur <mmazur@pld-linux.org> bc9e857
- won't import correctly without perl-Mouse present; added to R:
- rel 2; stbr

* Tue Oct 20 2009 amateja <amateja@pld-linux.org> e68c41e
- updated to 0.42

* Sat Apr 05 2008 Jakub Bogusz <qboosh@pld-linux.org> b555768
- generic URL, pl fix

* Wed Apr 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ad406f
- up to 0.36

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3368008
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 48f1970
- converted to UTF-8

* Wed Dec 01 2004 radek <radek@pld-linux.org> b433d8a
- standarized Source0 URL

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7a7f859
- formatting

* Tue Aug 24 2004 radek <radek@pld-linux.org> 3316312
- release 8: R: perl-Class-MethodMaker

* Mon Aug 02 2004 ankry <ankry@pld-linux.org> a9ea22c
- added missing dir, rel. 7

* Fri May 07 2004 ankry <ankry@pld-linux.org> 5d57026
- rel. 6

* Thu May 06 2004 ankry <ankry@pld-linux.org> 3db5413
- fixed perl-devel BR

